Bug 745470 - missing options in manual pages of client tools
missing options in manual pages of client tools
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openldap (Show other bugs)
6.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jan Vcelak
BaseOS QE Security Team
:
Depends On:
Blocks: 796232
  Show dependency treegraph
 
Reported: 2011-10-12 09:20 EDT by Kaushik Banerjee
Modified: 2013-03-03 20:29 EST (History)
8 users (show)

See Also:
Fixed In Version: openldap-2.4.23-21.el6
Doc Type: Bug Fix
Doc Text:
- always, outdated manual page - options '-o', '-N' missing in manual pages for OpenLDAP client tools - manual pages were updated, upstream changes were included - manual pages for OpenLDAP client tools include all missing options and are more consistent across the tools
Story Points: ---
Clone Of:
: 796232 (view as bug list)
Environment:
Last Closed: 2012-06-20 03:29:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (16.49 KB, patch)
2012-02-22 08:25 EST, Jan Vcelak
no flags Details | Diff

  None (edit)
Description Kaushik Banerjee 2011-10-12 09:20:58 EDT
Description of problem:
ldapsearch man page doesn't specify option to follow referrals.

Version-Release number of selected component (if applicable):
openldap-clients-2.4.23-20.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. To follow referrals, '-C' option can be used with ldapsearch.

ldapsearch -xv -h <hostname> -b "dc=example,dc=com" -C uid=user1

2. Check if "man ldapsearch" or "ldapsearch -h" lists the '-C' option.

Actual results:
'-C' option is not listed in the manpage of ldapsearch.

Expected results:
'-C' option should be mentioned in the manpage.

Additional info:
Comment 5 Jan Vcelak 2012-02-22 08:25:48 EST
Created attachment 564963 [details]
patch

I found multiple missing parameters: -C, -o, -N

The changes were reviewed by docs team. I will submit upstream soon.
Comment 7 Jan Vcelak 2012-02-23 09:02:39 EST
Upstream considers '-C' as an obsolete and intentionally undocumented option.
Comment 11 Jan Vcelak 2012-03-01 05:53:07 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
- always, outdated manual page
- options '-o', '-N' missing in manual pages for OpenLDAP client tools
- manual pages were updated, upstream changes were included
- manual pages for OpenLDAP client tools include all missing options and are more consistent across the tools
Comment 13 errata-xmlrpc 2012-06-20 03:29:10 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0899.html

Note You need to log in before you can comment on or make changes to this bug.